<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionTraderObjectBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/ddb/a05729.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionTraderObjectBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>This class handles all trader functionality.  
 <a href="../../df/ddb/a05729.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a690b9dc8dcf3779a3e38742fcf26b3e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a690b9dc8dcf3779a3e38742fcf26b3e6">ExpansionTraderObjectBase</a> (EntityAI traderEntity, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName=&quot;&quot;)</td></tr>
<tr class="separator:a690b9dc8dcf3779a3e38742fcf26b3e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a548c9e94b6b8233c3f43b160d59a28e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a548c9e94b6b8233c3f43b160d59a28e5">~ExpansionTraderObjectBase</a> ()</td></tr>
<tr class="separator:a548c9e94b6b8233c3f43b160d59a28e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09b965c08be06932d33a36bebe7dfbec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a09b965c08be06932d33a36bebe7dfbec">LoadTrader</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName)</td></tr>
<tr class="separator:a09b965c08be06932d33a36bebe7dfbec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d81a94a5ee4481180dfb6150e7abdf7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a4d81a94a5ee4481180dfb6150e7abdf7">LoadTraderHost</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> fileName)</td></tr>
<tr class="separator:a4d81a94a5ee4481180dfb6150e7abdf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13885fc158fa8bc8593ca52ca7b7cfb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a13885fc158fa8bc8593ca52ca7b7cfb2">RequestTraderObject</a> ()</td></tr>
<tr class="separator:a13885fc158fa8bc8593ca52ca7b7cfb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf86f6d6a4e60f89fa2456dba200b52b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#adf86f6d6a4e60f89fa2456dba200b52b">OnRPC</a> (PlayerIdentity sender, int rpc_type, ParamsReadContext ctx)</td></tr>
<tr class="separator:adf86f6d6a4e60f89fa2456dba200b52b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8081870302fc91049957a8f9c71c1178"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a8081870302fc91049957a8f9c71c1178">RPC_TraderObject</a> (ParamsReadContext ctx, PlayerIdentity sender)</td></tr>
<tr class="separator:a8081870302fc91049957a8f9c71c1178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a9bc543c912451f61eaacaa53b22852"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a4a9bc543c912451f61eaacaa53b22852">UpdateTraderZone</a> ()</td></tr>
<tr class="separator:a4a9bc543c912451f61eaacaa53b22852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cb421e270852304ca0967e49287fa31"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a7cb421e270852304ca0967e49287fa31">GetNetworkSerialization</a> (out array&lt; ref <a class="el" href="../../d7/df4/a05581.html">ExpansionMarketNetworkItem</a> &gt; list, int start, bool stockOnly, TIntArray itemIDs=NULL)</td></tr>
<tr class="separator:a7cb421e270852304ca0967e49287fa31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad034145975f7e5b63659e0883d3f4ad7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#ad034145975f7e5b63659e0883d3f4ad7">GetTraderZone</a> ()</td></tr>
<tr class="separator:ad034145975f7e5b63659e0883d3f4ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46324a3d4c8a9981b30dd9bf7a4e7426"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a46324a3d4c8a9981b30dd9bf7a4e7426">GetTraderMarket</a> ()</td></tr>
<tr class="separator:a46324a3d4c8a9981b30dd9bf7a4e7426"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca63c2c2871f6614dcd9c52e3b92532b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#aca63c2c2871f6614dcd9c52e3b92532b">HasVehicleSpawnPosition</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, out vector spawnPosition, out vector spawnOrientation, out <a class="el" href="../../de/d3c/a01490.html#aed88989f6127fa11874f888f29dff2f8">ExpansionMarketVehicleSpawnType</a> spawnType=0, out <a class="el" href="../../de/daa/a09078.html#a952fa80688b2d932b298a674e0e6f1ac">ExpansionMarketResult</a> result=ExpansionMarketResult.Success, out Object blockingObject=NULL, int amountNeeded=1)</td></tr>
<tr class="separator:aca63c2c2871f6614dcd9c52e3b92532b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97503fb4d4b5865bd17af9c662401656"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a97503fb4d4b5865bd17af9c662401656">VehicleSpawnPositionFree</a> (<a class="el" href="../../d8/d84/a00001.html#de/da2/a08085">ExpansionMarketSpawnPosition</a> <a class="el" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, out Object blockingObject=NULL)</td></tr>
<tr class="separator:a97503fb4d4b5865bd17af9c662401656"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724422142d1c3a747c1e5b53b760e42e"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a724422142d1c3a747c1e5b53b760e42e">ExpansionGetObjectBlockingPosition</a> (<a class="el" href="../../d8/d84/a00001.html#de/da2/a08085">ExpansionMarketSpawnPosition</a> <a class="el" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, vector size)</td></tr>
<tr class="separator:a724422142d1c3a747c1e5b53b760e42e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a82954125c4a22507495cea6812998"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a54a82954125c4a22507495cea6812998">GetDisplayName</a> ()</td></tr>
<tr class="separator:a54a82954125c4a22507495cea6812998"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b97f0b9eb9f1d343c1a9fb5a4398de0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a0b97f0b9eb9f1d343c1a9fb5a4398de0">SetTraderEntity</a> (EntityAI entity)</td></tr>
<tr class="separator:a0b97f0b9eb9f1d343c1a9fb5a4398de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafa85c80d64be00a8c7cf31b3ba8b79d"><td class="memItemLeft" align="right" valign="top">EntityAI&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#aafa85c80d64be00a8c7cf31b3ba8b79d">GetTraderEntity</a> ()</td></tr>
<tr class="separator:aafa85c80d64be00a8c7cf31b3ba8b79d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a9e4ec6b982e7451a4a35dd01b53383bd"><td class="memItemLeft" align="right" valign="top">static set&lt; <a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a9e4ec6b982e7451a4a35dd01b53383bd">GetAll</a> ()</td></tr>
<tr class="separator:a9e4ec6b982e7451a4a35dd01b53383bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ab46281f6f620a7f702a91eb4a5ec4973"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#ab46281f6f620a7f702a91eb4a5ec4973">m_TraderZone</a></td></tr>
<tr class="separator:ab46281f6f620a7f702a91eb4a5ec4973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ee00e96273b1903c4339d9ce712b98"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a04ee00e96273b1903c4339d9ce712b98">m_Trader</a></td></tr>
<tr class="separator:a04ee00e96273b1903c4339d9ce712b98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a475720c5cfd20bbfc40d16d701e8431d"><td class="memItemLeft" align="right" valign="top">private EntityAI&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a475720c5cfd20bbfc40d16d701e8431d">m_TraderEntity</a></td></tr>
<tr class="separator:a475720c5cfd20bbfc40d16d701e8431d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2218a1b049d081fda1efe881947a6a9"><td class="memItemLeft" align="right" valign="top">ref map&lt; <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#ad2218a1b049d081fda1efe881947a6a9">m_TradingPlayers</a></td></tr>
<tr class="separator:ad2218a1b049d081fda1efe881947a6a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:adbb74ad0cf5423248076eab4ad399380"><td class="memItemLeft" align="right" valign="top">static private ref set&lt; <a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#adbb74ad0cf5423248076eab4ad399380">m_allTraderObjects</a> = new set&lt;<a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a>&gt;</td></tr>
<tr class="separator:adbb74ad0cf5423248076eab4ad399380"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c84b10283d81a377c61b8ba2ff06f5e"><td class="memItemLeft" align="right" valign="top">static ref map&lt; <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, vector &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/ddb/a05729.html#a8c84b10283d81a377c61b8ba2ff06f5e">s_VehicleSizes</a> = new map&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, vector&gt;</td></tr>
<tr class="separator:a8c84b10283d81a377c61b8ba2ff06f5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >This class handles all trader functionality. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00097">97</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a690b9dc8dcf3779a3e38742fcf26b3e6" name="a690b9dc8dcf3779a3e38742fcf26b3e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690b9dc8dcf3779a3e38742fcf26b3e6">&#9670;&#160;</a></span>ExpansionTraderObjectBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::ExpansionTraderObjectBase </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>traderEntity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00112">112</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a548c9e94b6b8233c3f43b160d59a28e5" name="a548c9e94b6b8233c3f43b160d59a28e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a548c9e94b6b8233c3f43b160d59a28e5">&#9670;&#160;</a></span>~ExpansionTraderObjectBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::~ExpansionTraderObjectBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00129">129</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a724422142d1c3a747c1e5b53b760e42e" name="a724422142d1c3a747c1e5b53b760e42e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a724422142d1c3a747c1e5b53b760e42e">&#9670;&#160;</a></span>ExpansionGetObjectBlockingPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Object ExpansionTraderObjectBase::ExpansionGetObjectBlockingPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d84/a00001.html#de/da2/a08085">ExpansionMarketSpawnPosition</a>&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00523">523</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a9e4ec6b982e7451a4a35dd01b53383bd" name="a9e4ec6b982e7451a4a35dd01b53383bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e4ec6b982e7451a4a35dd01b53383bd">&#9670;&#160;</a></span>GetAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static set&lt; <a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a> &gt; ExpansionTraderObjectBase::GetAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00148">148</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a54a82954125c4a22507495cea6812998" name="a54a82954125c4a22507495cea6812998"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a82954125c4a22507495cea6812998">&#9670;&#160;</a></span>GetDisplayName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionTraderObjectBase::GetDisplayName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00550">550</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a7cb421e270852304ca0967e49287fa31" name="a7cb421e270852304ca0967e49287fa31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cb421e270852304ca0967e49287fa31">&#9670;&#160;</a></span>GetNetworkSerialization()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionTraderObjectBase::GetNetworkSerialization </td>
          <td>(</td>
          <td class="paramtype">out array&lt; ref <a class="el" href="../../d7/df4/a05581.html">ExpansionMarketNetworkItem</a> &gt;&#160;</td>
          <td class="paramname"><em>list</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>start</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>stockOnly</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TIntArray&#160;</td>
          <td class="paramname"><em>itemIDs</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00333">333</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="aafa85c80d64be00a8c7cf31b3ba8b79d" name="aafa85c80d64be00a8c7cf31b3ba8b79d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafa85c80d64be00a8c7cf31b3ba8b79d">&#9670;&#160;</a></span>GetTraderEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">EntityAI ExpansionTraderObjectBase::GetTraderEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00572">572</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a46324a3d4c8a9981b30dd9bf7a4e7426" name="a46324a3d4c8a9981b30dd9bf7a4e7426"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46324a3d4c8a9981b30dd9bf7a4e7426">&#9670;&#160;</a></span>GetTraderMarket()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a> ExpansionTraderObjectBase::GetTraderMarket </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00361">361</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="ad034145975f7e5b63659e0883d3f4ad7" name="ad034145975f7e5b63659e0883d3f4ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad034145975f7e5b63659e0883d3f4ad7">&#9670;&#160;</a></span>GetTraderZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a> ExpansionTraderObjectBase::GetTraderZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00353">353</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="aca63c2c2871f6614dcd9c52e3b92532b" name="aca63c2c2871f6614dcd9c52e3b92532b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca63c2c2871f6614dcd9c52e3b92532b">&#9670;&#160;</a></span>HasVehicleSpawnPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionTraderObjectBase::HasVehicleSpawnPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>spawnPosition</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>spawnOrientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../de/d3c/a01490.html#aed88989f6127fa11874f888f29dff2f8">ExpansionMarketVehicleSpawnType</a>&#160;</td>
          <td class="paramname"><em>spawnType</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../de/daa/a09078.html#a952fa80688b2d932b298a674e0e6f1ac">ExpansionMarketResult</a>&#160;</td>
          <td class="paramname"><em>result</em> = <code>ExpansionMarketResult.Success</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out Object&#160;</td>
          <td class="paramname"><em>blockingObject</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>amountNeeded</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Select closest one</p>

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00369">369</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a09b965c08be06932d33a36bebe7dfbec" name="a09b965c08be06932d33a36bebe7dfbec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09b965c08be06932d33a36bebe7dfbec">&#9670;&#160;</a></span>LoadTrader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::LoadTrader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00156">156</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a4d81a94a5ee4481180dfb6150e7abdf7" name="a4d81a94a5ee4481180dfb6150e7abdf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d81a94a5ee4481180dfb6150e7abdf7">&#9670;&#160;</a></span>LoadTraderHost()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::LoadTraderHost </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>fileName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00171">171</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="adf86f6d6a4e60f89fa2456dba200b52b" name="adf86f6d6a4e60f89fa2456dba200b52b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf86f6d6a4e60f89fa2456dba200b52b">&#9670;&#160;</a></span>OnRPC()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::OnRPC </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rpc_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00225">225</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a13885fc158fa8bc8593ca52ca7b7cfb2" name="a13885fc158fa8bc8593ca52ca7b7cfb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13885fc158fa8bc8593ca52ca7b7cfb2">&#9670;&#160;</a></span>RequestTraderObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::RequestTraderObject </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00213">213</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a8081870302fc91049957a8f9c71c1178" name="a8081870302fc91049957a8f9c71c1178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8081870302fc91049957a8f9c71c1178">&#9670;&#160;</a></span>RPC_TraderObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionTraderObjectBase::RPC_TraderObject </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>sender</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00243">243</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a0b97f0b9eb9f1d343c1a9fb5a4398de0" name="a0b97f0b9eb9f1d343c1a9fb5a4398de0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b97f0b9eb9f1d343c1a9fb5a4398de0">&#9670;&#160;</a></span>SetTraderEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::SetTraderEntity </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00563">563</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a4a9bc543c912451f61eaacaa53b22852" name="a4a9bc543c912451f61eaacaa53b22852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a9bc543c912451f61eaacaa53b22852">&#9670;&#160;</a></span>UpdateTraderZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionTraderObjectBase::UpdateTraderZone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00292">292</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a97503fb4d4b5865bd17af9c662401656" name="a97503fb4d4b5865bd17af9c662401656"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97503fb4d4b5865bd17af9c662401656">&#9670;&#160;</a></span>VehicleSpawnPositionFree()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionTraderObjectBase::VehicleSpawnPositionFree </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d84/a00001.html#de/da2/a08085">ExpansionMarketSpawnPosition</a>&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out Object&#160;</td>
          <td class="paramname"><em>blockingObject</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Fallback just in case</p>

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00470">470</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="adbb74ad0cf5423248076eab4ad399380" name="adbb74ad0cf5423248076eab4ad399380"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb74ad0cf5423248076eab4ad399380">&#9670;&#160;</a></span>m_allTraderObjects</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref set&lt;<a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a>&gt; ExpansionTraderObjectBase::m_allTraderObjects = new set&lt;<a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00099">99</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a04ee00e96273b1903c4339d9ce712b98" name="a04ee00e96273b1903c4339d9ce712b98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04ee00e96273b1903c4339d9ce712b98">&#9670;&#160;</a></span>m_Trader</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d7/d22/a01514.html#a41587b5b5214749818c868e74ddf867a">ExpansionMarketTrader</a> ExpansionTraderObjectBase::m_Trader</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00103">103</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a475720c5cfd20bbfc40d16d701e8431d" name="a475720c5cfd20bbfc40d16d701e8431d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a475720c5cfd20bbfc40d16d701e8431d">&#9670;&#160;</a></span>m_TraderEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private EntityAI ExpansionTraderObjectBase::m_TraderEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00105">105</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="ab46281f6f620a7f702a91eb4a5ec4973" name="ab46281f6f620a7f702a91eb4a5ec4973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab46281f6f620a7f702a91eb4a5ec4973">&#9670;&#160;</a></span>m_TraderZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d9/d63/a05297.html">ExpansionMarketTraderZone</a> ExpansionTraderObjectBase::m_TraderZone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00102">102</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="ad2218a1b049d081fda1efe881947a6a9" name="ad2218a1b049d081fda1efe881947a6a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2218a1b049d081fda1efe881947a6a9">&#9670;&#160;</a></span>m_TradingPlayers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref map&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool&gt; ExpansionTraderObjectBase::m_TradingPlayers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00107">107</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<a id="a8c84b10283d81a377c61b8ba2ff06f5e" name="a8c84b10283d81a377c61b8ba2ff06f5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c84b10283d81a377c61b8ba2ff06f5e">&#9670;&#160;</a></span>s_VehicleSizes</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref map&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, vector&gt; ExpansionTraderObjectBase::s_VehicleSizes = new map&lt;<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, vector&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dbd/a01829_source.html#l00100">100</a> of file <a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/4_world/dayzexpansion_market/creatures/traders/<a class="el" href="../../d6/dbd/a01829_source.html">expansiontraderbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/ddb/a05729.html">ExpansionTraderObjectBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
